package thyyxxk.webserver.enums;

import lombok.Getter;
import thyyxxk.webserver.config.exception.ExceptionEnumInterface;

@Getter
public enum CaExceptionEnum implements ExceptionEnumInterface {

    SUCCESS(200, "成功"),

    SUCCESS_AND_MESSAGE(2001, "成功"),

    ERROR_AND_ALERT(5001, "错误"),

    NOT_DOCUMENT_ID(5002, "病历不存在");

    private final Integer code;
    private final String message;

    CaExceptionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
